# Created by pyp2rpm-3.3.2
%global pypi_name requests-unixsocket

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        1%{?dist}
Summary:        Use requests to talk HTTP via a UNIX domain socket

License:        Apache-2
URL:            https://github.com/msabramo/requests-unixsocket
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr

Requires:       python-requests >= 1.1
Requires:       python-urllib3 >= 1.8

%description
requests-unixsocket Use requests < to talk HTTP via a UNIX domain
socketUsage++++++++You can use it by instantiating a special Session object:..
code-block:: python import requests_unixsocket session
requests_unixsocket.Session() Access /path/to/page from /tmp/profilesvc.sock

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/requests_unixsocket
%{python2_sitelib}/requests_unixsocket-%{version}-py?.?.egg-info

%changelog
* Wed Dec 19 2018 root - 0.1.5-1
- Initial package.
